Skip to content

Local Users

All operations require authentication.

7 operationsv1/me/identity
Agent setup

Retrieve all IAM users of this accountProduction

GET
/1.0/me/identity/user

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/me/identity/user \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Create a new IAM userProduction

POST
/1.0/me/identity/user

Request body (required)

description
string

User's description

email
string

User's email

group
string

User's group

login
required
string

User's login

password
stringpassword

User's password

type
UserTypeEnum

Type of user to create

ValuesROOTSERVICEUSER

Response

200—successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/me/identity/user \
  -H "authorization: Bearer $OVH_TOKEN"

Get an IAM userProduction

GET
/1.0/me/identity/user/{user}

Path parameters

user
required
string

User

Response

200Usersuccessful operation
creation
read-only
stringdate-time

Creation date of this user

description
string

User's description

email
string

User's email

group
string

User's main group

groups
read-only
string[]

User's groups

lastUpdate
read-only
stringdate-time

User's last update date

login
read-only
string

User's login suffix

passwordLastUpdate
read-only
stringdate-time

User's password last update date

status
read-only
UserStatusEnum

Current user's status

ValuesDISABLEDOKPASSWORD_CHANGE_REQUIRED
type
read-only
UserTypeEnum

Type of user

ValuesROOTSERVICEUSER
urn
read-only
string

IAM identity URN of the user

Example uses user = string

$ curl https://api.eu.ovhcloud.com/1.0/me/identity/user/{user} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "creation": "2024-01-01T12:00:00Z", "description": "string", "email": "string", "group": "string", "groups": [ "string" ], "lastUpdate": "2024-01-01T12:00:00Z", "login": "string", "passwordLastUpdate": "2024-01-01T12:00:00Z", "status": "DISABLED", "type": "ROOT", "urn": "string"}

Alter an IAM userProduction

PUT
/1.0/me/identity/user/{user}

Path parameters

user
required
string

User

Request body (required)

creation
read-only
stringdate-time

Creation date of this user

description
string

User's description

email
string

User's email

group
string

User's main group

groups
read-only
string[]

User's groups

lastUpdate
read-only
stringdate-time

User's last update date

login
read-only
string

User's login suffix

passwordLastUpdate
read-only
stringdate-time

User's password last update date

status
read-only
UserStatusEnum

Current user's status

ValuesDISABLEDOKPASSWORD_CHANGE_REQUIRED
type
read-only
UserTypeEnum

Type of user

ValuesROOTSERVICEUSER
urn
read-only
string

IAM identity URN of the user

Response

200—successful operation

Example uses user = string

$ curl https://api.eu.ovhcloud.com/1.0/me/identity/user/{user} \
  -H "authorization: Bearer $OVH_TOKEN"

Delete an IAM userProduction

DELETE
/1.0/me/identity/user/{user}

Path parameters

user
required
string

User

Response

200—successful operation

Example uses user = string

$ curl https://api.eu.ovhcloud.com/1.0/me/identity/user/{user} \
  -H "authorization: Bearer $OVH_TOKEN"

Disable this userProduction

POST
/1.0/me/identity/user/{user}/disable

Path parameters

user
required
string

User

Response

200—successful operation

Example uses user = string

$ curl https://api.eu.ovhcloud.com/1.0/me/identity/user/{user}/disable \
  -H "authorization: Bearer $OVH_TOKEN"

Enable this userProduction

POST
/1.0/me/identity/user/{user}/enable

Path parameters

user
required
string

User

Response

200—successful operation

Example uses user = string

$ curl https://api.eu.ovhcloud.com/1.0/me/identity/user/{user}/enable \
  -H "authorization: Bearer $OVH_TOKEN"